using System;
using System.Collections.Generic;
using System.Text;

namespace Hello
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Hello World!");
            //System.Windows.Forms.MessageBox.Show("Hello World!");

            Console.WriteLine("Jak Ci na imię?");
            Console.Write("Napisz tutaj swoje imię: ");
            string imie = Console.ReadLine();
            if (imie.Length == 0)
            {
                Console.WriteLine("\n\n\t*** Błąd: nie podano imienia.\n\n");
                return;
            }
            bool niewiasta = (imie.ToLower()[imie.Length - 1] == 'a');
            Console.WriteLine("Niech zgadnę, jesteś "
                + (niewiasta ? "dziewczyną" : "chłopakiem") + "!");

            //Console.WriteLine("Formatowanie liczb:\n\t {0}, {0:c}, {0:p3}, {0:e3}, \n\t{0:f3}, {0:g1}, {0:n10}, {0:r}", 0.123456789);

            Console.ReadLine();
        }
    }
}
